Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.search
Class FolderRestrictQualification

    java.lang.Object

      |

      +--oracle.ifs.search.SearchQualification

            |

            +--oracle.ifs.search.FolderRestrictQualification

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class FolderRestrictQualification
extends SearchQualification

The FolderRestrictQualification(FRQ) represents a condition to restrict the Search to a particular area of the folder Hierarchy. FRQs apply only to classes that can be foldered.

A FRQ is represented by the Search Class and a Folder. The Folder represents the root of the hierarchy under consideration. Users can also specify the depth of the Search. For e.g. a depth of 2 implies only objects that are upto 2 levels below the Start Folder should be considered. The default is to consider objects to an unlimited depth.

FRQs are converted into a SubSelect containing a 'connect-by' clause in SQL. Such queries are expensive, and should be used judiciously.

See Also:
  Serialized Form

Constructor Summary
`FolderRestrictQualification()` Constructs an AttributeQualification.

Method Summary
`int` | `getMaxLevels()` Return the number of levels that will be traversed.
`java.lang.String` | `getSearchClassname()` Returns the Search Class.
`java.lang.String` | `getStartFolder()` Returns the startFolder.
`void` | `setMaxLevels(int maxlvl)` Set the traversal depth.
`void` | `setSearchClassname(java.lang.String className)` Sets the SearchClass.
`void` | `setStartFolder(AttributeValue av)` Sets the startFolder.
`void` | `setStartFolder(Folder folder)` Sets the startFolder.
`void` | `setStartFolder(java.lang.String value)` Sets the startFolder.

Methods inherited from class oracle.ifs.search.SearchQualification
`clone`

Constructor Detail

### FolderRestrictQualification

    public FolderRestrictQualification()

  Constructs an AttributeQualification. The search depth is set to null, implying searching the entire hierarchy. There are no defaults for Class & StartFolder.

Method Detail

### setSearchClassname

    public void setSearchClassname(java.lang.String className)

  Sets the SearchClass. ClassName should be a valid iFS class. A null Class is taken to mean, use the first Result Class of the SearchSpecification.
  Parameters:
    `className` - The class of the attribute
  See Also:
    `SearchSpecification`, `SearchClassSpecification`

### getSearchClassname

    public java.lang.String getSearchClassname()

  Returns the Search Class.
  Returns:
    search class.

### setStartFolder

    public void setStartFolder(java.lang.String value)
                        throws IfsException

  Sets the startFolder. The value cannot be null. The value must be the id of the Folder, or the LATE_BIND_OPERATOR.
  Parameters:
    `value` - the id of the start Folder.
  Throws:
    `IfsException` - 22002 if value is null.

### setStartFolder

    public void setStartFolder(AttributeValue av)
                        throws IfsException

  Sets the startFolder. AttributeValue should encapsulate a folder object. Calls setStartFolder(String).
  Parameters:
    `value` - the start Folder.
  Throws:
    `IfsException` - 22002 if value is null.

### setStartFolder

    public void setStartFolder(Folder folder)
                        throws IfsException

  Sets the startFolder. Calls setStartFolder(String).
  Parameters:
    `value` - the start Folder.
  Throws:
    `IfsException` - 22002 if value is null.

### getStartFolder

    public java.lang.String getStartFolder()

  Returns the startFolder.
  Returns:
    Start Folder.

### setMaxLevels

    public void setMaxLevels(int maxlvl)
                      throws IfsException

  Set the traversal depth. A value < 1 is ignored, and the entire hierarchy is traversed.
  Parameters:
    `maxlvl` - represents the depth of the traversal.

### getMaxLevels

    public int getMaxLevels()

  Return the number of levels that will be traversed. A 0 is returned if the entire hierarchy will be traversed.
  Returns:
    depth of Search.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD